org.apache.poi.xddf.usermodel.text

## Class XDDFHyperlink

- java.lang.Object
- - org.apache.poi.xddf.usermodel.text.XDDFHyperlink

-     @Beta
      public class XDDFHyperlink
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XDDFHyperlink(org.openxmlformats.schemas.drawingml.x2006.main.CTHyperlink link)`
    `` | `XDDFHyperlink(java.lang.String id)`
    `` | `XDDFHyperlink(java.lang.String id, java.lang.String action)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAction()`
    `java.lang.Boolean` | `getEndSound()`
    `XDDFExtensionList` | `getExtensionList()`
    `java.lang.Boolean` | `getHighlightClick()`
    `java.lang.Boolean` | `getHistory()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getInvalidURL()`
    `java.lang.String` | `getTargetFrame()`
    `java.lang.String` | `getTooltip()`
    `protected org.openxmlformats.schemas.drawingml.x2006.main.CTHyperlink` | `getXmlObject()`
    `void` | `setEndSound(java.lang.Boolean ends)`
    `void` | `setExtensionList(XDDFExtensionList list)`
    `void` | `setHighlightClick(java.lang.Boolean highlights)`
    `void` | `setHistory(java.lang.Boolean history)`
    `void` | `setInvalidURL(java.lang.String invalid)`
    `void` | `setTargetFrame(java.lang.String frame)`
    `void` | `setTooltip(java.lang.String tooltip)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFHyperlink

          public XDDFHyperlink(java.lang.String id)

    - #### XDDFHyperlink

          public XDDFHyperlink(java.lang.String id,
                               java.lang.String action)

    - #### XDDFHyperlink

          @Internal
          protected XDDFHyperlink(org.openxmlformats.schemas.drawingml.x2006.main.CTHyperlink link)

  - ### Method Detail

    - #### getXmlObject

          @Internal
          protected org.openxmlformats.schemas.drawingml.x2006.main.CTHyperlink getXmlObject()

    - #### getAction

          public java.lang.String getAction()

    - #### getId

          public java.lang.String getId()

    - #### getEndSound

          public java.lang.Boolean getEndSound()

    - #### setEndSound

          public void setEndSound(java.lang.Boolean ends)

    - #### getHighlightClick

          public java.lang.Boolean getHighlightClick()

    - #### setHighlightClick

          public void setHighlightClick(java.lang.Boolean highlights)

    - #### getHistory

          public java.lang.Boolean getHistory()

    - #### setHistory

          public void setHistory(java.lang.Boolean history)

    - #### getInvalidURL

          public java.lang.String getInvalidURL()

    - #### setInvalidURL

          public void setInvalidURL(java.lang.String invalid)

    - #### getTargetFrame

          public java.lang.String getTargetFrame()

    - #### setTargetFrame

          public void setTargetFrame(java.lang.String frame)

    - #### getTooltip

          public java.lang.String getTooltip()

    - #### setTooltip

          public void setTooltip(java.lang.String tooltip)

    - #### getExtensionList

          public XDDFExtensionList getExtensionList()

    - #### setExtensionList

          public void setExtensionList(XDDFExtensionList list)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.